Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.app3d
Class J3DToCityGMLExporter

    java.lang.Object
      org.deegree.tools.app3d.J3DToCityGMLExporter

All Implemented Interfaces:
  J3DExporter

    public class J3DToCityGMLExporter

extends Object
implements J3DExporter

The `J3DToCityGMLExporter` exports a J3D scene to citygml level 1.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$

Constructor Summary
`J3DToCityGMLExporter()` A default constructor allows the instantiation of this exported to supply the getParameterList method.
`J3DToCityGMLExporter(Map<String,String> params)`
`J3DToCityGMLExporter(String citygmlName, String crsName, String cityGMLFunction, String textureOutputDirectory, double translationX, double translationY, double translationZ, javax.vecmath.AxisAngle4d rotAngle, boolean asWFSTransaction, boolean inverseYZ)`

Method Summary
`void` | `export(StringBuilder result, javax.media.j3d.Group j3dScene)` A method which can be called to export to the given format.
`String` | `getName()`
`Map<String,String>` | `getParameterMap()` Should return a list of parameter names (keys) with their description (values) of all parameters this Exporter supports.
`String` | `getShortDescription()`
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### J3DToCityGMLExporter

    public J3DToCityGMLExporter()

  A default constructor allows the instantiation of this exported to supply the getParameterList method.

  NOTE this constructor is only convenient, it should not be used carelessly. Instead use one of the other constructors for correct instantiation of this class.

### J3DToCityGMLExporter

    public J3DToCityGMLExporter(Map<String,String> params)
                         throws IOException

Parameters:
  `params` - a hashmap to extract values from. For a list of supported parameters
Throws:
  `IOException` - if the key 'texdir' points to a file which is not a directory or is not writable

### J3DToCityGMLExporter

    public J3DToCityGMLExporter(String citygmlName,
                                String crsName,
                                String cityGMLFunction,
                                String textureOutputDirectory,
                                double translationX,
                                double translationY,
                                double translationZ,
                                javax.vecmath.AxisAngle4d rotAngle,
                                boolean asWFSTransaction,
                                boolean inverseYZ)
                         throws IOException

Parameters:
  `citygmlName` - of the exported branchgroup.
  `crsName` - of the crs to set the srsName of gmlNodes to, if `null` 'epsg:31466' will be used.
  `cityGMLFunction` - to insert om the gml
  `textureOutputDirectory` - the directory to output the textures to, if any.
  `translationX` - a value to add up to the found x - coordinates. If NaN, 0 will be used.
  `translationY` - a value to add up to the found y - coordinates. If NaN, 0 will be used.
  `translationZ` - a value to add up to the found z - coordinates. If NaN, 0 will be used.
  `rotAngle` - the rotation angle to which the all geometries should be rotated.
  `asWFSTransaction` - true if the scene should be exported as a wfs:Transaction document (the root node is wfs:Transaction) or a cityGML document (the root node is citygml:Building).
  `inverseYZ` -
Throws:
  `IOException` - if the something went wrong with wile creating, referring or addressing the given filePath.

Method Detail

### export

    public void export(StringBuilder result,
                       javax.media.j3d.Group j3dScene)

  Description copied from interface: `J3DExporter`
  A method which can be called to export to the given format.

  Specified by:
    `export` in interface `J3DExporter`
  Parameters:
    `result` - a reference to which the implementing class should write.
    `j3dScene` - the scene to be exported.

### getName

    public String getName()

  Specified by:
    `getName` in interface `J3DExporter`
  Returns:
    A Name which can be presented to a calling client;

### getShortDescription

    public String getShortDescription()

  Specified by:
    `getShortDescription` in interface `J3DExporter`
  Returns:
    a simple description which describes the function of the implementing class.

### main

    public static void main(String[] args)

  Parameters:
    `args` -

### getParameterMap

    public Map<String,String> getParameterMap()

  Description copied from interface: `J3DExporter`
  Should return a list of parameter names (keys) with their description (values) of all parameters this Exporter supports. It is up to the requester to use the given parameters and call the required constructor with the map, containing the keys that have values.

  Specified by:
    `getParameterMap` in interface `J3DExporter`
  Returns:
    a map containing the parameter names (keys) and their description (values)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org